Name:           fifi-free-release
Version:        %{fedora}
Release:        2%{?dist}
Summary:        Fifi (free) repository configuration

Group:          System Environment/Base
License:        BSD
Source0:	fifi-free.repo
Source38:       RPM-GPG-KEY-fifi-38
Source39:       RPM-GPG-KEY-fifi-39
Source40:       RPM-GPG-KEY-fifi-40
Source41:       RPM-GPG-KEY-fifi-41
Source42:       RPM-GPG-KEY-fifi-42

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%description
The Fifi repository contains mostly bugfixes and enhancements to Fedora and
RpmFusion packages.

This package contains the Fifi GPG key and Yum configuration files.

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -m 644 %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/
install -d $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
for i in %{SOURCE38} \
	 %{SOURCE39} \
	 %{SOURCE40} \
	 %{SOURCE41} \
	 %{SOURCE42} \
	 ;
do
  install -m 644 $i $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/
done
ln -s RPM-GPG-KEY-fifi-%{fedora} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-fifi

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}
%dir %{_sysconfdir}/pki
%{_sysconfdir}/pki/rpm-gpg
%dir %{_sysconfdir}/yum.repos.d
%config(noreplace) %{_sysconfdir}/yum.repos.d/fifi-free.repo

%changelog
* Sat Nov 23 2024 Philippe Troin <phil@fifi.org> - 40-2
- Add F42 RPM GPG signing key.

* Tue Apr 23 2024 Philippe Troin <phil@fifi.org> - 40-1
- Drop F37 RPM GPG signing key.

* Tue Apr  9 2024 Philippe Troin <phil@fifi.org> - 39-2
- Add F41 RPM GPG signing key.

* Fri Jan  5 2024 Philippe Troin <phil@fifi.org> - 39-1
- Drop F36 RPM GPG signing key.

* Fri Jan  5 2024 Philippe Troin <phil@fifi.org> - 38-2
- Add F40 RPM GPG signing key.

* Fri May 19 2023 Philippe Troin <phil@fifi.org> - 38-1
- Drop F35 RPM GPG signing key.

* Fri May 19 2023 Philippe Troin <phil@fifi.org> - 37-2
- Add F39 RPM GPG signing key.

* Sat Dec 17 2022 Philippe Troin <phil@fifi.org> - 37-1
- Drop F34 RPM GPG signing key.

* Sat Dec 17 2022 Philippe Troin <phil@fifi.org> - 36-2
- Add F38 RPM GPG signing key.

* Sun May  8 2022 Philippe Troin <phil@fifi.org> - 36-1
- Drop F33 RPM GPG signing key.

* Sun May  8 2022 Philippe Troin <phil@fifi.org> - 35-2
- Add F37 RPM GPG signing key.

* Sat Dec 11 2021 Philippe Troin <phil@fifi.org> - 35-1
- Drop F32 RPM GPG signing key.

* Sat Dec 11 2021 Philippe Troin <phil@fifi.org> - 34-2
- Add F36 RPM GPG signing key.

* Wed Apr 28 2021 Philippe Troin <phil@fifi.org> - 34-1
- Drop F31 RPM GPG signing key.

* Wed Apr 28 2021 Philippe Troin <phil@fifi.org> - 33-2
- Add F35 RPM GPG signing key.

* Sun Nov  1 2020 Philippe Troin <phil@fifi.org> - 33-1
- Drop F30 RPM GPG signing key.

* Sun Nov  1 2020 Philippe Troin <phil@fifi.org> - 32-2
- Add F34 RPM GPG signing key.

* Fri May  1 2020 Philippe Troin <phil@fifi.org> - 32-1
- Drop F29 RPM GPG signing key.

* Fri May  1 2020 Philippe Troin <phil@fifi.org> - 31-2
- Add F33 RPM GPG signing key.

* Wed Oct 16 2019 Philippe Troin <phil@fifi.org> - 31-1
- Drop F28 RPM GPG signing key.

* Wed Oct 16 2019 Philippe Troin <phil@fifi.org> - 30-2
- Add F32 RPM GPG signing key.

* Thu May  2 2019 Philippe Troin <phil@fifi.org> - 30-1
- Drop F27 RPM GPG signing key.

* Wed May  1 2019 Philippe Troin <phil@fifi.org> - 29-2
- Add F31 RPM GPG signing key.

* Mon Nov 19 2018 Philippe Troin <phil@fifi.org> - 29-1
- Drop F26 RPM GPG signing key.

* Sun Nov 18 2018 Philippe Troin <phil@fifi.org> - 28-3
- Rekey the F29 RPM GPG signing key.

* Sun Nov 18 2018 Philippe Troin <phil@fifi.org> - 28-2
- Add F30 GPG signing key.

* Wed May  2 2018 Philippe Troin <phil@fifi.org> - 28-1
- Drop F25 key.

* Wed May  2 2018 Philippe Troin <phil@fifi.org> - 27-3
- Add F29 GPG key.

* Tue Jan 16 2018 Philippe Troin <phil@fifi.org> - 27-2
- Update the repo specifications with new keywords (repo_gpgcheck,
  type, metadata_expire).

* Fri Jan 12 2018 Philippe Troin <phil@fifi.org> - 27-1
- Drop F20, F21 and F22 keys.

* Thu Jan 11 2018 Philippe Troin <phil@fifi.org> - 25-6
- Add F27 and F28 GPG keys.

* Thu Jan  5 2017 Philippe Troin <phil@fifi.org> - 25-5
- Rekey F26 after a typo.

* Sat Dec 17 2016 Philippe Troin <phil@fifi.org> - 25-4
- Add keys for Fedora 25 and 26.

* Fri Apr 10 2015 Philippe Troin <phil@fifi.org> - 20-3
- Fix permissions on files.

* Tue Apr  7 2015 Philippe Troin <phil@fifi.org> - 20-2
- Provide Fedora 21 and 22 signing keys.

* Mon Feb  3 2014 Philippe Troin <phil@fifi.org> - 19-1
- Use the fedora macro in the version.
- Drop the priority from the .repo file.

* Mon Feb  3 2014 Philippe Troin <phil@fifi.org> - 2-2
- Use $releasever in the gpgkey repo parameter.

* Mon Feb  3 2014 Philippe Troin <phil@fifi.org> - 2-1
- Move to one key per release.

* Thu Feb 11 2010 Philippe Troin <phil@fifi.org> - 1-1
- Move debug to a subdir of the arch.
- Prevent any packages from being installed until the user changes the
  includepkgs line in .repo.

* Sun Jan  4 2009 Philippe Troin <phil@fifi.org> - 1-1
- Created.
